<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<link rel="import" href="/ts/common-elements/reset-css/reset-css.html">
<link rel="import" href="tree-button.html">
<link rel="import" href="tree-l-line.html">
<link rel="import" href="tree-t-line.html">
<link rel="import" href="tree-empty.html">
<link rel="import" href="tree-corner.html">

<!--

`ts-tree` renders a tree from a given JSON.

Example:

    <ts-tree tree="..."></ts-tree>

The tree object should look like this:

    [{
      name: "one",
      tree: [
        {
          name: "one.one"
        },
        {
          name: "one.two",
          tree: [
            {
              name: "one.two.one",
              tree: [
                {
                  name: "one.two.one.one"
                },
                {
                  name: "one.two.one.two"
                }
              ]
            },
            {
              name: "one.two.two"
            }
          ]
        },
        {
          name: "one.tree"
        }
      ]
    }]

@demo demo/index.html

-->
<dom-module id="ts-tree">
  <template>
    <style include="reset-css"></style>

    <link rel="stylesheet" type="text/css" href="css/ts-tree-min.css?__inline=true">

    <div id="container">

    </div>

  </template>
  <script src="javascript/ts-tree-min.js?__inline=true"></script>
</dom-module>
